import request from '@/utils/request'

// 查询MmRiskLog列表
export function listMmRiskLog(query) {
    return request({
        url: '/api/v1/mm-risk-log',
        method: 'get',
        params: query
    })
}

// 查询MmRiskLog详细
export function getMmRiskLog (id) {
    return request({
        url: '/api/v1/mm-risk-log/' + id,
        method: 'get'
    })
}


// 新增MmRiskLog
export function addMmRiskLog(data) {
    return request({
        url: '/api/v1/mm-risk-log',
        method: 'post',
        data: data
    })
}

// 修改MmRiskLog
export function updateMmRiskLog(data) {
    return request({
        url: '/api/v1/mm-risk-log/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除MmRiskLog
export function delMmRiskLog(data) {
    return request({
        url: '/api/v1/mm-risk-log',
        method: 'delete',
        data: data
    })
}



export function clearAllMmRiskLog(){
    return request({
        url: '/api/v1/mm-risk-log/clear',
        method: 'delete'
    })
}